Bug 1283312 - MTU set to 9000 for all VLANs on virtual controllers
MTU set to 9000 for all VLANs on virtual controllers
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 10.0 (Newton)
Assigned To: RHOS Maint
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 11:59 EST by Martin Schuppert
Modified: 2016-10-09 23:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-09 23:24:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1539821 None None None 2016-01-29 19:49 EST

  None (edit)
Description Martin Schuppert 2015-11-18 11:59:27 EST
Description of problem:

When configure MTU = 9000 on virtual controllers, all interfaces get the highest MTU from the underlying device configured, which differs from what is explained in [1]

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Configuring_Jumbo_Frames.html

How reproducible:
always

Steps to Reproduce:

we want InternalApiNetworkVlanID to stay with MTU 1500 :
        os_net_config:
          network_config:
            -
              type: ovs_bridge
              name: {get_input: bridge_name}
              mtu: 9000
              use_dhcp: false
              dns_servers: {get_param: DnsServers}
              addresses:
                -
                  ip_netmask:
                    list_join:
                      - '/'
                      - - {get_param: ControlPlaneIp}
                        - {get_param: ControlPlaneSubnetCidr}
              routes:
                -
                  ip_netmask: 169.254.169.254/32
                  next_hop: {get_param: EC2MetadataIp}
              members:
                -
                  type: interface
                  name: nic1
                  mtu: 9000
                  # force the MAC address of the bridge to this interface
                  primary: true
                -
                  type: vlan
                  vlan_id: {get_param: InternalApiNetworkVlanID}
                  addresses:
                  -
                    ip_netmask: {get_param: InternalApiIpSubnet}
                -
                  type: vlan
                  vlan_id: {get_param: StorageNetworkVlanID}
                  mtu: 9000
                  addresses:
                  -
                    ip_netmask: {get_param: StorageIpSubnet}
                -
                  type: vlan
                  vlan_id: {get_param: StorageMgmtNetworkVlanID}
                  mtu: 9000
                  addresses:
                  -
                    ip_netmask: {get_param: StorageMgmtIpSubnet}
                -
                  type: vlan
                  vlan_id: {get_param: TenantNetworkVlanID}
                  mtu: 9000
                  addresses:
                  -
                    ip_netmask: {get_param: TenantIpSubnet}

Also especially set mtu: 1500 for the InternalApiNetworkVlanID (VLAN 201) do not help as from : /usr/lib/python2.7/site-packages/os_net_config
    130         if base_opt.mtu != 1500:
    131             data += "MTU=%i\n" % base_opt.mtu

With this it is not possible to configure MTU 1500 for such a configuration.

On the controller we see the following in  os-apply-config :
Nov 18 09:32:38 localhost os-collect-config: ++ os-apply-config --key os_net_config --type raw --key-default ''
Nov 18 09:32:39 localhost os-collect-config: + NET_CONFIG='{"network_config": [{"dns_servers": ["8.8.8.8", "8.8.4.4"], "addresses": [{"ip_netmask": "192.0.2.12/24"}], "mtu": 9000, "members": [{"type": "interface", "name": "nic1", "primary": true, "mtu": 9000}, {"type": "vlan", "add
resses": [{"ip_netmask": "172.16.0.13/24"}], "vlan_id": 201, "mtu": 1500}, {"type": "vlan", "addresses": [{"ip_netmask": "172.18.0.11/24"}], "vlan_id": 202, "mtu": 9000}, {"type": "vlan", "addresses": [{"ip_netmask": "172.19.0.12/24"}], "vlan_id": 203, "mtu": 9000}, {"type": "vlan"
, "addresses": [{"ip_netmask": "172.17.0.11/24"}], "vlan_id": 204, "mtu": 9000}], "routes": [{"ip_netmask": "169.254.169.254/32", "next_hop": "192.0.2.1"}], "use_dhcp": false, "type": "ovs_bridge", "name": "br-ex"}, {"routes": [{"ip_netmask": "0.0.0.0/0", "next_hop": "192.168.122.1
"}], "type": "interface", "name": "nic2", "addresses": [{"ip_netmask": "192.168.122.51/24"}]}, {"use_dhcp": false, "defroute": false, "name": "nic3", "type": "interface"}]}'
Nov 18 09:32:39 localhost os-collect-config: + '[' -n '{"network_config": [{"dns_servers": ["8.8.8.8", "8.8.4.4"], "addresses": [{"ip_netmask": "192.0.2.12/24"}], "mtu": 9000, "members": [{"type": "interface", "name": "nic1", "primary": true, "mtu": 9000}, {"type": "vlan", "address
es": [{"ip_netmask": "172.16.0.13/24"}], "vlan_id": 201, "mtu": 1500}, {"type": "vlan", "addresses": [{"ip_netmask": "172.18.0.11/24"}], "vlan_id": 202, "mtu": 9000}, {"type": "vlan", "addresses": [{"ip_netmask": "172.19.0.12/24"}], "vlan_id": 203, "mtu": 9000}, {"type": "vlan", "a
ddresses": [{"ip_netmask": "172.17.0.11/24"}], "vlan_id": 204, "mtu": 9000}], "routes": [{"ip_netmask": "169.254.169.254/32", "next_hop": "192.0.2.1"}], "use_dhcp": false, "type": "ovs_bridge", "name": "br-ex"}, {"routes": [{"ip_netmask": "0.0.0.0/0", "next_hop": "192.168.122.1"}],
 "type": "interface", "name": "nic2", "addresses": [{"ip_netmask": "192.168.122.51/24"}]}, {"use_dhcp": false, "defroute": false, "name": "nic3", "type": "interface"}]}' ']'

Results in :

# cat /etc/sysconfig/network-scripts/ifcfg-vlan201 
# This file is autogenerated by os-net-config
DEVICE=vlan201
ONBOOT=yes
HOTPLUG=no
NM_CONTROLLED=no
DEVICETYPE=ovs
TYPE=OVSIntPort
OVS_BRIDGE=br-ex
OVS_OPTIONS="tag=201"
BOOTPROTO=static
IPADDR=172.16.0.13
NETMASK=255.255.255.0


Version-Release number of selected component (if applicable):
os-net-config-0.1.4-4.el7ost.noarch

Actual results:
all interfaces get MTU 9000 set

Expected results:
it is possible to configure MTU 1500 for VLAN interfaces even if the underlying interface has MTU 9000 configured
Comment 4 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.